Bug 818395 - SELinux is preventing /usr/sbin/collectd from using the 'signal' accesses on a process.
SELinux is preventing /usr/sbin/collectd from using the 'signal' accesses on ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:ebb4498869b085f0cd1491274a4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-02 20:59 EDT by Paul DeLong
Modified: 2012-06-27 23:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-27 23:26:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul DeLong 2012-05-02 20:59:22 EDT
libreport version: 2.0.8
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.3.0-8.fc16.x86_64
reason:         SELinux is preventing /usr/sbin/collectd from using the 'signal' accesses on a process.
time:           Wed 02 May 2012 08:48:43 PM EDT

description:
:SELinux is preventing /usr/sbin/collectd from using the 'signal' accesses on a process.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that collectd should be allowed signal access on processes labeled collectd_t by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep collectd /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:collectd_t:s0
:Target Context                system_u:system_r:collectd_t:s0
:Target Objects                 [ process ]
:Source                        collectd
:Source Path                   /usr/sbin/collectd
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           collectd-4.10.4-1.fc16.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-84.fc16.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.0-8.fc16.x86_64 #1
:                              SMP Thu Mar 29 18:37:19 UTC 2012 x86_64 x86_64
:Alert Count                   406
:First Seen                    Wed 02 May 2012 03:53:21 PM EDT
:Last Seen                     Wed 02 May 2012 04:59:10 PM EDT
:Local ID                      f48122ec-0ccc-41b7-b336-484651bb03a2
:
:Raw Audit Messages
:type=AVC msg=audit(1335992350.733:12291): avc:  denied  { signal } for  pid=6463 comm="collectd" scontext=system_u:system_r:collectd_t:s0 tcontext=system_u:system_r:collectd_t:s0 tclass=process
:
:
:type=SYSCALL msg=audit(1335992350.733:12291): arch=x86_64 syscall=tgkill success=no exit=EACCES a0=193f a1=193f a2=6 a3=8 items=0 ppid=1 pid=6463 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=collectd exe=/usr/sbin/collectd subj=system_u:system_r:collectd_t:s0 key=(null)
:
:Hash: collectd,collectd_t,collectd_t,process,signal
:
:audit2allow
:
:#============= collectd_t ==============
:allow collectd_t self:process signal;
:
:audit2allow -R
:
:#============= collectd_t ==============
:allow collectd_t self:process signal;
:
Comment 1 Miroslav Grepl 2012-05-03 03:21:15 EDT
Fixed in selinux-policy-3.10.0-88.fc16
Comment 2 Fedora Update System 2012-06-15 06:30:25 EDT
selinux-policy-3.10.0-89.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-89.fc16
Comment 3 Fedora Update System 2012-06-15 19:51:56 EDT
Package selinux-policy-3.10.0-89.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-89.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-9507/selinux-policy-3.10.0-89.fc16
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-06-27 23:26:17 EDT
selinux-policy-3.10.0-89.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.